@charset "utf-8";

html {
  overflow-x: hidden;
}

body {
  color: var(--color-font-main);
  cursor: default;
  background-color: var(--color-bg);

}

.ja {
  font-family: var(--font-ja);
}

.en {
  font-family: var(--font-en);
}

.num {
  font-family: var(--font-num);
}

.main-s-wrapper {
  width: 600px;
  margin: 0 auto;
  margin-bottom: 30vh;
  padding-bottom: 30vh;
}


@media (max-width:450px) {

  .main-s-wrapper{
    width: 80%;
  }

  body{
    font-size: 14px;
  }


}

h2 {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: 10px;
  /* margin: var(--margin-l); */
  padding: calc(var(--margin-l)*2);
}
@media (max-width:450px) {

  h2{
    padding-left: var(--margin-s);
    padding-right: var(--margin-s);

  }
  
}

h2>.en {
  font-size: var(--fs-h2-en);
  font-weight: var(--font-weight-n);

}

h2>.ja {
  opacity: var(--opacity-light);
  font-size: var(--fs-h2-ja);
  font-weight: var(--font-weight-n);
}

.close-btn {
  position: absolute;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  width: 80px;
  height: 40px;
  bottom: 0;
  left: 50%;
  transform: translate(-50%, 150%);
  cursor: pointer;
}

.close-span1,
.close-span2 {
  display: block;
  width: 50%;
  height: 2px;
  background-color: var(--color-light);
}

.close-span1 {
  transform: translateY(-4px) rotate(15deg);
}

.close-span2 {
  transform: translateY(-6px) rotate(-15deg);
}

.close-word {
  font-size: var(--fs-close-btn);
}

/* ノイズBG */

#noiseCanvas {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  pointer-events: none;
  /* クリックを透過 */
  z-index: -1;
  mix-blend-mode: screen;
  /* 色を重ねる */
  opacity: 1;
  /* ノイズの濃さ */
}


/* ナビメニュー */

nav {
  position: fixed;
  right: 0;
  height: 100vh;
  transform: translateX(100%);
  z-index: 1000;
}

@media (max-width: 1024px) {
  nav {
    right: auto;
    bottom: 0;
    width: 100%;
    height: auto;
    transform: translate(0%, 100%);
  }
}

@media (max-width:450px) {

  nav {
    right: auto;
    bottom: 0;
    width: 100%;
    height: auto;
    transform: translate(0%, 100%);
  }

}






.nav-btn {
  display: flex;
  flex-direction: column-reverse;
  justify-content: center;
  align-items: center;
  position: fixed;
  top: 0;
  left: 0;
  width: 50px;
  height: 100vh;
  gap: 5px;
  background-color: var(--color-nav-bg);
  transform: translateX(-100%);
  cursor: pointer;
}


@media (max-width: 1024px) {
  .nav-btn{
    top: 0;
    left: 0;
    right: auto;
    width: 100%;
    height: 70px;
    transform: translate(0%,-100%);
  }
}

@media (max-width:450px) {

.nav-btn{
  top: 0;
  left: 0;
  right: auto;
  width: 100%;
  height: 40px;
  transform: translate(0%,-100%);
}
  
}


.nav-btn-small {
  display: flex;
  flex-direction: column-reverse;
  justify-content: center;
  align-items: center;
  position: absolute;
  top: 50%;
  left: 0;
  width: 100px;
  height: 100px;
  gap: 5px;
  background-color: var(--color-nav-bg);
  border-radius: var(--radius);
  transform: translateX(-50%);
  cursor: pointer;
}

@media (max-width: 1024px){
  .nav-btn-small{
    top:auto;
    left: 50%;
    transform: translate(-50%, -30%);
  }
}

@media (max-width:450px) {


  .nav-btn-small{
    top:auto;
    left: 50%;
    transform: translate(-50%, -30%);
    flex-direction: row-reverse;
    gap: 0;
    width: 120px;
    height: 60px;
    align-items: baseline;
  }
    
  }





.nav-btn-allows {
  display: flex;
  flex-direction: row;
  transform: translate(-5px, -2px);

}



.allow-1,
.allow-2,
.allow-3 {
  display: block;
  width: 15px;
  height: 15px;
  border-bottom: 2px solid var(--color-allows);
  border-right: 2px solid var(--color-allows);

}

@media (max-width:450px) {


  .allow-1,
  .allow-2,
  .allow-3 {
    display: block;
    width: 10px;
    height: 10px;
    border-bottom: 2px solid var(--color-allows);
    border-right: 2px solid var(--color-allows);
    
  
  }

    
  }

.allow-1 {
  transform: rotate(-45deg);
}


.allow-2 {
  transform: translateX(-5px) rotate(-45deg);
}

.allow-3 {
  transform: translateX(-10px) rotate(-45deg);
}

.nav-btn-word {
  position: relative;
  transform: translate(-7px, -2px);
}


@media (max-width: 1024px){
  .nav-btn-allows{
    transform: translate(0,0) rotate(-90deg);
  }



  .nav-btn-word{
    transform: translate(0,-7px);
  }
}

@media (max-width:450px) {

  .nav-btn-allows{
    transform: translate(0px,10px) rotate(-90deg);
  }



  .nav-btn-word{
    transform: translate(5px,15px);
  }
    
}



.menu {
  position: absolute;
  inset: 0;
  opacity: var(--opacity-none);
}

.close {
  /* position: absolute;
  inset: 0; */
  opacity: var(--opacity-none);
}

.menu.is-active {
  opacity: var(--opacity-max);
}

.close.is-active {
  opacity: var(--opacity-max);
}


.nav-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: flex-end;
  width: 35vw;
  height: 100%;
  background-color: var(--color-nav-bg);
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {
  .nav-wrapper {
    width: 100%;
    height: auto;
  }
}

@media (max-width:450px) {

  .nav-wrapper {
    width: 100%;
    height: auto;
  }

}



.nav-list {
  width: 100%;
}

.nav-item {
  width: 100%;
  padding: var(--margin-m);
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {
  .nav-list{
    width: 100%;
  }
  .nav-item{
    width: 100%;
    padding: 0;
    padding-bottom: var(--margin-xs);
  }
}

@media (max-width:450px) {
  .nav-list{
    width: 100%;
  }
  .nav-item{
    width: 100%;
    padding-bottom: var(--margin-xs);
  }
  
}


.nav-item>a {
  display: flex;
  flex-direction: column;
  align-items: center;
  transition: var(--trans-quick);
}

.nav-item>a>.en {
  font-size: var(--fs-nav-en);
  font-family: var(--font-en);
}

.nav-item>a>.ja {
  font-size: var(--fs-nav-ja);
  font-family: var(--font-ja);
  opacity: var(--opacity-light);
}

@media (max-width:450px) {

  .nav-item>a>.en{
    font-size: var(--fs-m);
  }

  .nav-item>a>.ja{
    font-size: var(--fs-xs);
  }
} 

.nav-item>a:hover {
  scale: 1.05;
  text-shadow: 0px 0px 10px rgba(255, 255, 255, 1);
  ;
}

.sns-list {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: space-around;
  width: 100%;
  padding: var(--margin-m);
  gap: var(--margin-s);
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {
  .sns-list{
    padding: 0 16px;
  } 
}

@media (max-width:450px) {

.sns-list{
  padding: 0;
}  
  
}



.sns-list>li>a>.bi {
  font-size: var(--fs-nav-icon);
  color: var(--color-nav-icon);
}

.sns-list>li {
  transition: var(--trans-quick);
}

.sns-list>li:hover {
  scale: 1.3;
}

.nav-footer {
  margin: var(--margin-s);
  text-align: center;
}

@media (max-width:450px) {

  .nav-footer{
    font-size: 7px;
    margin: 0;
  } 
} 

/* ジャンプボタン */

.jump-btn-wrapper {
  position: fixed;
  left: var(--margin-m);
  bottom: var(--margin-m);
  width: 120px;
  height: 20px;
  overflow: hidden;
  transform: rotate(-90deg);
  transform-origin: left top;
  z-index: 10;
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {
  .jump-btn-wrapper{
    bottom: auto;
    top: 150px;
    left: var(--margin-xs);
  }  
}

@media (max-width:450px) {

  .jump-btn-wrapper{
    bottom: auto;
    top: 150px;
    left: var(--margin-xs);
  }  
} 

 

.jump {
  display: flex;
  flex-direction: row;
  gap: 5px;
  width: 100%;
  height: 100%;
  cursor: pointer;
  /* transform: translateX(-100%); */
}

.jump-word {
  display: inline-block;
  letter-spacing: 1px;
  font-size: var(--fs-jump-top);
  transform: translateY(-2px);
}

.jump-hand {
  display: block;
  width: 16px;
  height: 16px;
  transform: rotate(90deg);
}

/* アコーディオン */

.acc-list {
  display: flex;
  flex-direction: column;
  gap: var(--margin-m);
}

.acc-item {
  padding: var(--margin-l);
  background-color: var(--color-acc-bg);
  border-radius: var(--radius);
}

@media (max-width:450px) {

  .acc-item{
    padding: var(--margin-xs);
    background-color: var(--color-acc-bg);

  }
    
}

.acc-toggle {
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;
  gap: var(--margin-m);
  width: 100%;
  cursor: pointer;
}

.acc-item>h3 {
  text-wrap: wrap;
  width: 100%;
  text-align: center;
}

.acc-title {
  font-size: var(--fs-acc-title);
  color: var(--color-acc-title);
  transition: var(--trans-quick);
}

.acc-date {
  font-size: var(--fs-acc-date);

}

.acc-detail {
  margin-top: var(--margin-m);
  overflow: hidden;
}

.acc-detail>p {
  margin-top: var(--margin-m);
}

.acc-toggle:hover .acc-title {
  transform: scale(1.05);
}

/* ヒーロー */

.hero {
  position: fixed;
  top: 50%;
  width: 100%;
  height: 100vh;
  transform: translateY(-50%);
  z-index: 10;
}

@media (max-width:450px) {

  .hero{

    top: auto;
    transform: translateY(0);
  }

  .hero>img{
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: -1;
  }
  
}


.hero-contents {
  display: flex;
  flex-direction: row;
  position: absolute;
  width: 100%;
  height: 100%;
}

@media (max-width:450px) {

  .hero-contents{
    flex-direction: column-reverse;
    justify-content: normal;
    align-items: center;
    height: 100vh;
  }
  
}

.hero-p-wrapper {
  position: relative;
  width: 50%;
}

@media (max-width:450px) {

  .hero-p-wrapper{
    position: absolute;
    top: 50%;
    width: 100vw;
    aspect-ratio: 16 / 9;
    transform: translateY(-50%);
  }
  
}

.hero-p {
  display: flex;
  position: absolute;
  flex-direction: column;
  justify-content: space-around;
  width: 100%;
  height: 100%;
  padding: 5%;
  font-size: var(--fs-hero-p);
}

@media (max-width:450px) {

  .hero-p{
    justify-content: center;
    align-items: center;
    font-size: var(--fs-hero-p-sp);
  }
  
}

.hero-p.white {
  color: var(--color-light);
  z-index: 10;
}

.hero-p.yel,
.hero-p.maz,
.hero-p.cean {
  mix-blend-mode: overlay;
}

.hero-p.yel {
  color: var(--color-y);
  z-index: 9;
}

.hero-p.maz {
  color: var(--color-m);
  z-index: 8;
}

.hero-p.cean {
  color: var(--color-c);
  z-index: 7;
}


.echoes,
.never,
.die {
  display: flex;
  align-items: center;
  justify-content: space-between;
  width: 100%;
}



.hero-name {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 50%;
  color: var(--color-hero-name);
  font-size: var(--fs-hero-name);
  opacity: 1;
  z-index: 10;
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {


  .hero{

    top: auto;
    transform: translateY(0);
  }

  .hero>img{
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-50%);
    z-index: -1;
  }

  .hero-contents{
    flex-direction: column-reverse;
    justify-content: normal;
    align-items: center;
    height: 100vh;
  }
  

  .hero-p-wrapper{
    position: absolute;
    top: 50%;
    width: 100vw;
    aspect-ratio: 16 / 9;
    transform: translateY(-50%);
  }

  .hero-p{
    justify-content: space-around;
    align-items: center;
    font-size: var(--fs-hero-p-sp);
    padding-left: 20%;
    padding-right: 20%;

  }
  
  .hero-name{
    position: absolute;
    top: 15%;
    transform: translateY(-50%);
    align-items: flex-start;
    color: var(--color-hero-name-sp);
    margin: 0 auto;
  }

}


@media (max-width:450px) {

  .hero-name{
    position: absolute;
    top: 25%;
    transform: translateY(-50%);
    align-items: flex-start;
    color: var(--color-hero-name-sp);
    margin: 0 auto;
  }
  
}



/* オーディオボタン */
.audio-toggle {
  position: absolute;
  bottom: var(--margin-s);
  left: var(--margin-s);
  width: 40px;
  height: 40px;
  border: 1px solid #333;
  border-radius: var(--radius);
  background: var(--color-light);
  display: flex;
  flex-direction: row;
  justify-content: center;
  align-items: center;
  cursor: pointer;
  box-shadow: 0 4px 20px rgba(0, 0, 0, .3);
  transition: transform .15s ease-out, border-color .2s ease;
  z-index: 20;
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {
  .audio-toggle{
    bottom: 15%;
    left: auto;
  }
  
}

@media (max-width:450px) {

  .audio-toggle{
    bottom: auto;
    left: auto;
    right:var(--margin-xs);
    top:var(--margin-xs)
  }
  
}



.audio-toggle:hover,
.audio-toggle:focus-visible {
  border-color: #666;
  transform: translateY(-1px);
}

.audio-toggle:active {
  transform: translateY(0);
}

/* ミュート中アイコン */
.icon-mute.is-active {
  position: absolute;
  font-size: 1.3rem;
  color: var(--color-deep);
  display: block;
}

.ep {
  display: none;
}

.eq.is-active {
  position: absolute;
  display: flex;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  column-gap: var(--bar-gap);
  inline-size: 100%;
  block-size: 90%;
}

.bar {
  inline-size: var(--bar-w);
  /* デフォは短め（ミュート時の見た目） */
  block-size: 30%;
  background: var(--bar-color);
  border-radius: 999px;
  transform-origin: center center;
  opacity: .9;
}

/* スクリーンリーダー用テキスト隠し */
.visually-hidden {
  position: absolute !important;
  inline-size: 1px;
  block-size: 1px;
  padding: 0;
  margin: -1px;
  overflow: hidden;
  clip: rect(0 0 0 0);
  white-space: nowrap;
  border: 0;
}

/* PROFILE */

.pro-img-wrapper {
  height: 40vh;
  display: flex;
  justify-content: center;
  align-items: center;
}

.pro-img-wrapper>img {
  display: block;
  height: 100%;
  width: auto;
  object-fit: contain;
}

.pro-first {
  display: flex;
  flex-direction: column;
  text-align: center;
  gap: var(--margin-l);
  margin: var(--margin-l);
}

@media (max-width:450px) {

  .pro-first{
    margin: 0;
  }
  
}

.pro-1,
.pro-2,
.pro-3,
.pro-4,
.pro-first-name {
  display: inline-block;
}

.pro-first>span:not(:last-child) {
  letter-spacing: var(--margin-xs);
}

@media (max-width:450px) {

  .pro-first>span,
  .pro-4{
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: var(--margin-s);
    width: 100%;
  }
  
}

.pro-first-name {
  font-size: var(--fs-pro-name);
}

.pro {
  display: flex;
  flex-direction: column;
  gap: var(--margin-l);
  padding-top: var(--margin-l);
  margin-bottom: var(--margin-l);
}

.pro>p {
  line-height: var(--margin-l);
}

.member {
  padding-top: var(--margin-l);
}

.member-name {
  display: flex;
  flex-direction: row;
  gap: var(--margin-s);
}
@media (max-width:450px) {

  .member-name{
    flex-direction: column;
  }
  
}

.member-name>span {
  font-weight: var(--font-weight-b);
}

.sns-list.pro {
  flex-direction: row;
  justify-content: flex-start;
  padding: var(--margin-xs);
  padding-left: 0;
}

/* NEWS */

/* LIVE */

.acc-loca {
  font-size: var(--fs-acc-loca);
}

.acc-detail>dl {
  display: flex;
  flex-direction: row;
  gap: var(--margin-s);
  margin: var(--margin-m);
}

.acc-detail>dl>dd>a {
  color: var(--color-acc-a);
}

@media (max-width:450px) {

  .acc-detail>dl{
    margin: var(--margin-xs);
  }
  
}

/* DISCO */

.disc-list-wrapper {
  display: flex;
  position: relative;
  overflow-x: auto;
  /* overflow-y: hidden; */
  touch-action: pan-x;
  overscroll-behavior: contain;
  cursor: grab;
  scrollbar-width: 0;
}

.disc-list-wrapper::-webkit-scrollbar {
  display: none;
}

@media (max-width:450px) {

  .disc-list-wrapper{
    display: block;
    position: static;
    height: auto;
    overflow: visible;
    overflow-x: visible;
    touch-action: auto;
    overscroll-behavior: auto;
    cursor: default;
    scrollbar-width: auto;
    padding-bottom: var(--margin-l);
  }
  
}

.disc-list {
  display: flex;
  flex-direction: row;
  margin: 0 50vw;
}

@media (max-width: 1024px) and (hover: none) and (pointer: coarse) {
  .disc-list-wrapper{
    height: 50vh;
  }

  .disc-list{
    align-items: center;
  }
  
}
.disc-list>li {
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  gap: var(--margin-m);
  margin-right: -60px;
  cursor: pointer;
}

@media (max-width:450px) {



  .disc-list{
    flex-direction: column;
    gap: var(--margin-l);
    margin: 0 auto 50vh auto !important;
    padding-bottom: 30vh;
  }
  
}


@media (max-width:450px) {

  .disc-list>li{
    margin-right: auto;
  }
  
}
.disc-wrapper {
  position: relative;
  width: 40vw;
  aspect-ratio: 1 / 1;
}

.disc-img{
  width: 100%;
}

@media (max-width:450px) {

  .disc-wrapper{
    width: 80%;
    margin: 0 auto;
  }
  
}



.list-title-wrapper {
  text-align: center;
  opacity: 0;
}

@media (max-width:450px) {

  .list-title-wrapper{
    padding-left: var(--margin-xs);
    padding-right: var(--margin-xs);
  }
  
}

.disc-detail {
  display: flex;
  flex-direction: column;
  width: 100%;
  height: 100%;
  justify-content: space-around;
  padding: var(--margin-l);
  position: absolute;
  inset: 0;
  background-color: rgba(0, 0, 0, 0.7);
  opacity: 0;
  transition: var(--trans-quick);
}

@media (max-width:450px) {

  .disc-detail{
    padding: var(--margin-s);
  }
  .disc-detail-title{
    font-size: var(--fs-s);
    /* text-wrap: nowrap; */
  }
  
}

.disc-detail.is-active {
  opacity: 1;
}

.disc-detail-list {
  list-style-type: decimal !important;

}
.disc-detail-list.long{
  column-count: 2;

}


.disc-detail-list>li {
  counter-increment: track;

  margin-top: var(--margin-xs);
}

@media (max-width:450px) {

  .disc-detail-list>li{
    margin-top: 0;
  }
}